## org.eclipse.emf.compare.diff.metamodel
Interface DiffFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DiffFactoryImpl

    public interface DiffFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `DiffPackage`

Field Summary
`static DiffFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`AttributeChange` `createAttributeChange()` Returns a new object of class 'Attribute Change'
`AttributeChangeLeftTarget` `createAttributeChangeLeftTarget()` Returns a new object of class 'Attribute Change Left Target'
`AttributeChangeRightTarget` `createAttributeChangeRightTarget()` Returns a new object of class 'Attribute Change Right Target'
`ComparisonResourceSetSnapshot` `createComparisonResourceSetSnapshot()` Returns a new object of class 'Comparison Resource Set Snapshot'
`ComparisonResourceSnapshot` `createComparisonResourceSnapshot()` Returns a new object of class 'Comparison Resource Snapshot'
`ConflictingDiffElement` `createConflictingDiffElement()` Returns a new object of class 'Conflicting Diff Element'
`DiffGroup` `createDiffGroup()` Returns a new object of class 'Group'
`DiffModel` `createDiffModel()` Returns a new object of class 'Model'
`DiffResourceSet` `createDiffResourceSet()` Returns a new object of class 'Resource Set'
`ModelElementChange` `createModelElementChange()` Returns a new object of class 'Model Element Change'
`ModelElementChangeLeftTarget` `createModelElementChangeLeftTarget()` Returns a new object of class 'Model Element Change Left Target'
`ModelElementChangeRightTarget` `createModelElementChangeRightTarget()` Returns a new object of class 'Model Element Change Right Target'
`MoveModelElement` `createMoveModelElement()` Returns a new object of class 'Move Model Element'
`ReferenceChange` `createReferenceChange()` Returns a new object of class 'Reference Change'
`ReferenceChangeLeftTarget` `createReferenceChangeLeftTarget()` Returns a new object of class 'Reference Change Left Target'
`ReferenceChangeRightTarget` `createReferenceChangeRightTarget()` Returns a new object of class 'Reference Change Right Target'
`ReferenceOrderChange` `createReferenceOrderChange()` Returns a new object of class 'Reference Order Change'
`ResourceDependencyChange` `createResourceDependencyChange()` Returns a new object of class 'Resource Dependency Change'
`ResourceDependencyChangeLeftTarget` `createResourceDependencyChangeLeftTarget()` Returns a new object of class 'Resource Dependency Change Left Target'
`ResourceDependencyChangeRightTarget` `createResourceDependencyChangeRightTarget()` Returns a new object of class 'Resource Dependency Change Right Target'
`ResourceDiff` `createResourceDiff()` Returns a new object of class 'Resource Diff'
`UpdateAttribute` `createUpdateAttribute()` Returns a new object of class 'Update Attribute'
`UpdateContainmentFeature` `createUpdateContainmentFeature()` Returns a new object of class 'Update Containment Feature'
`UpdateModelElement` `createUpdateModelElement()` Returns a new object of class 'Update Model Element'
`UpdateReference` `createUpdateReference()` Returns a new object of class 'Update Reference'
`DiffPackage` `getDiffPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final DiffFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createAttributeChange

    AttributeChange createAttributeChange()

  Returns a new object of class 'Attribute Change'.

  Returns:
    a new object of class 'Attribute Change'.

### createAttributeChangeLeftTarget

    AttributeChangeLeftTarget createAttributeChangeLeftTarget()

  Returns a new object of class 'Attribute Change Left Target'.

  Returns:
    a new object of class 'Attribute Change Left Target'.

### createAttributeChangeRightTarget

    AttributeChangeRightTarget createAttributeChangeRightTarget()

  Returns a new object of class 'Attribute Change Right Target'.

  Returns:
    a new object of class 'Attribute Change Right Target'.

### createConflictingDiffElement

    ConflictingDiffElement createConflictingDiffElement()

  Returns a new object of class 'Conflicting Diff Element'.

  Returns:
    a new object of class 'Conflicting Diff Element'.

### createDiffGroup

    DiffGroup createDiffGroup()

  Returns a new object of class 'Group'.

  Returns:
    a new object of class 'Group'.

### createComparisonResourceSnapshot

    ComparisonResourceSnapshot createComparisonResourceSnapshot()

  Returns a new object of class 'Comparison Resource Snapshot'.

  Returns:
    a new object of class 'Comparison Resource Snapshot'.

### createComparisonResourceSetSnapshot

    ComparisonResourceSetSnapshot createComparisonResourceSetSnapshot()

  Returns a new object of class 'Comparison Resource Set Snapshot'.

  Returns:
    a new object of class 'Comparison Resource Set Snapshot'.

### createDiffModel

    DiffModel createDiffModel()

  Returns a new object of class 'Model'.

  Returns:
    a new object of class 'Model'.

### createDiffResourceSet

    DiffResourceSet createDiffResourceSet()

  Returns a new object of class 'Resource Set'.

  Returns:
    a new object of class 'Resource Set'.

### createModelElementChange

    ModelElementChange createModelElementChange()

  Returns a new object of class 'Model Element Change'.

  Returns:
    a new object of class 'Model Element Change'.

### createModelElementChangeLeftTarget

    ModelElementChangeLeftTarget createModelElementChangeLeftTarget()

  Returns a new object of class 'Model Element Change Left Target'.

  Returns:
    a new object of class 'Model Element Change Left Target'.

### createModelElementChangeRightTarget

    ModelElementChangeRightTarget createModelElementChangeRightTarget()

  Returns a new object of class 'Model Element Change Right Target'.

  Returns:
    a new object of class 'Model Element Change Right Target'.

### createMoveModelElement

    MoveModelElement createMoveModelElement()

  Returns a new object of class 'Move Model Element'.

  Returns:
    a new object of class 'Move Model Element'.

### createUpdateContainmentFeature

    UpdateContainmentFeature createUpdateContainmentFeature()

  Returns a new object of class 'Update Containment Feature'.

  Returns:
    a new object of class 'Update Containment Feature'.

### createReferenceChange

    ReferenceChange createReferenceChange()

  Returns a new object of class 'Reference Change'.

  Returns:
    a new object of class 'Reference Change'.

### createReferenceChangeLeftTarget

    ReferenceChangeLeftTarget createReferenceChangeLeftTarget()

  Returns a new object of class 'Reference Change Left Target'.

  Returns:
    a new object of class 'Reference Change Left Target'.

### createReferenceChangeRightTarget

    ReferenceChangeRightTarget createReferenceChangeRightTarget()

  Returns a new object of class 'Reference Change Right Target'.

  Returns:
    a new object of class 'Reference Change Right Target'.

### createResourceDiff

    ResourceDiff createResourceDiff()

  Returns a new object of class 'Resource Diff'.

  Returns:
    a new object of class 'Resource Diff'.

### createResourceDependencyChange

    ResourceDependencyChange createResourceDependencyChange()

  Returns a new object of class 'Resource Dependency Change'.

  Returns:
    a new object of class 'Resource Dependency Change'.

### createResourceDependencyChangeLeftTarget

    ResourceDependencyChangeLeftTarget createResourceDependencyChangeLeftTarget()

  Returns a new object of class 'Resource Dependency Change Left Target'.

  Returns:
    a new object of class 'Resource Dependency Change Left Target'.

### createResourceDependencyChangeRightTarget

    ResourceDependencyChangeRightTarget createResourceDependencyChangeRightTarget()

  Returns a new object of class 'Resource Dependency Change Right Target'.

  Returns:
    a new object of class 'Resource Dependency Change Right Target'.

### createUpdateAttribute

    UpdateAttribute createUpdateAttribute()

  Returns a new object of class 'Update Attribute'.

  Returns:
    a new object of class 'Update Attribute'.

### createUpdateModelElement

    UpdateModelElement createUpdateModelElement()

  Returns a new object of class 'Update Model Element'.

  Returns:
    a new object of class 'Update Model Element'.

### createUpdateReference

    UpdateReference createUpdateReference()

  Returns a new object of class 'Update Reference'.

  Returns:
    a new object of class 'Update Reference'.

### createReferenceOrderChange

    ReferenceOrderChange createReferenceOrderChange()

  Returns a new object of class 'Reference Order Change'.

  Returns:
    a new object of class 'Reference Order Change'.

### getDiffPackage

    DiffPackage getDiffPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2006 IBM Corporation and others. All Rights Reserved.